<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="host">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="persist-name,is-domain-controller"/>
        <elem name="addr-params" value="host"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="host"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.management.path.jboss.domain.temp.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.log.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.data.dir"/>
        <capability name="org.wildfly.host.controller"/>
        <capability name="org.wildfly.management.path.jboss.server.base.dir"/>
        <capability name="org.wildfly.management.path.jboss.domain.data.dir"/>
        <capability name="org.wildfly.management.path.jboss.domain.config.dir"/>
        <capability name="org.wildfly.management.path.jboss.home.dir"/>
        <capability name="org.wildfly.management.path.jboss.controller.temp.dir"/>
        <capability name="org.wildfly.management.path.jboss.domain.log.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.temp.dir"/>
        <capability name="org.wildfly.management.path.jboss.server.config.dir"/>
    </provides>
    <params>
        <param name="host" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="persist-name" nillable="true"/>
        <param name="is-domain-controller" nillable="true"/>
    </params>
</feature-spec>